[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Broken makefile given Autoconf version mismatch

From: Stepan Kasal
Subject: Re: Broken makefile given Autoconf version mismatch
Date: Sun, 16 Apr 2006 20:59:11 +0200
User-agent: Mutt/1.4.1i


On Sun, Apr 16, 2006 at 12:58:08PM +0200, Alexandre Duret-Lutz wrote:
> [...]  --version really is a human thing in my opinion.
> Anyway it sure feels better to directly compare the value of
> m4_PACKAGE_VERSION in one Autoconf with the value of
> m4_PACKAGE_VERSION in another, without trying to infer any of
> them.

you are right, of course.  So processing a file containing


is the way.  I don't know what is better: a temporary file, or
a permanently installed one.

> I'm starting to think now is probably not the right time to try
> to fix this.  Nobody is actually missing this to the point it
> should delay 2.60.  (I'm only speaking of the stdin issue here; 
> the version check in aclocal can be implemented independently.)

I supposed that aclocal should be able to find out the version
number for older releases of Autoconf.  In that case, it would need
some workaround for the bug in autom4te anyway.

That's why I supposed that the bug in autom4te will be fixed
after 2.60, too.

>  SK> autom4te -l Autoconf-without-aclocal-m4 -
>  SK> What do you think about the patch to find_file attached below?
> This has implications on the caching code, which tries to
> mtime() all arguments.  Really this is too early.  How about
> adding syntactic sugar only after it can be supported?

Sure, let's put this off.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]